<!--
  -    Copyright 2014-2023 IHE International
  -
  -    Licensed under the Apache License, Version 2.0 (the "License");
  -    you may not use this file except in compliance with the License.
  -    You may obtain a copy of the License at
  -
  -        http://www.apache.org/licenses/LICENSE-2.0
  -
  -    Unless required by applicable law or agreed to in writing, software
  -    distributed under the License is distributed on an "AS IS" BASIS,
  -    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  -    See the License for the specific language governing permissions and
  -    limitations under the License.
  -->

<ui:composition xmlns:f="http://java.sun.com/jsf/core" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:rich="http://richfaces.org/rich" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml" template="//layout/template.xhtml">
    <ui:define name="body">
        <s:decorate template="/questionnaire/viewerTemplate.xhtml">
            <ui:param name="pageTitle" value="#{messages['net.ihe.gazelle.questionnaire.ATNAQuestionnaireProofread']})"/>
            <ui:param name="managedBean" value="#{atnaQuestionnaireProofread}"/>
            <ui:param name="mode" value="proofread"/>
            <ui:define name="extraButtons">

                #{atnaQuestionnaireProofread.estimateRegistrationUpdate()}
                <s:span styleClass="gzl-text-red" rendered="#{atnaQuestionnaireProofread.isElementToUpdate()}">
                    <span class="gzl-icon-exclamation-triangle"></span>
                    <h:outputText value="#{messages['net.ihe.gazelle.questionnaire.TheATNAQuestionnaireNeedsToBeUpdatedAccordingToG']}"/>
                </s:span>
                <s:span rendered="#{not atnaQuestionnaireProofread.isElementToUpdate()}">
                    <span class="gzl-icon-checked"></span>
                    <h:outputText value="#{messages['net.ihe.gazelle.questionnaire.TheATNAQuestionnaireIsUpToDateWithGazelleTMRegis']}"/>
                </s:span>

            </ui:define>
            <ui:define name="extraTlsButtons">

                #{atnaQuestionnaireProofread.estimateTlsTestUpdate()}
                <s:span styleClass="gzl-text-red" rendered="#{atnaQuestionnaireProofread.isTlsTestToUpdate()}">
                    <span class="gzl-icon-exclamation-triangle"></span>
                    <h:outputText value="#{messages['net.ihe.gazelle.questionnaire.TheTLSTestsListNeedsToBeUpdatedAccordingToTheInb']}"/>
                </s:span>
                <s:span rendered="#{not atnaQuestionnaireProofread.isTlsTestToUpdate()}">
                    <span class="gzl-icon-checked"></span>
                    <h:outputText value="#{messages['net.ihe.gazelle.questionnaire.TheTLSTestsListIsUpToDate']}"/>
                </s:span>

            </ui:define>
        </s:decorate>
    </ui:define>
</ui:composition>
